.button {
	position: relative;
	padding: 15px;
	cursor: pointer;

	color: var(--c-accent);
	transition: 0.3s;
}

.button:hover:not(:disabled) {
	filter: drop-shadow(0 0 5px var(--c-main_dark));
	color: var(--c-main_dark);
}

.button:disabled {
	opacity: 0.5;
	cursor: not-allowed;
}

.button__inner {
	font-weight: 700;
	text-transform: uppercase;
}

.button:active .button__inner {
	transform: scale(0.7);
	opacity: 0.5;
}

.button:hover:not(:disabled) .icon {
	color: var(--c-main_dark);
	opacity: 1;
	transform: scale(1.3);
}

.button_active {
	color: var(--c-main_dark);
}
